// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: false, name: '团队审核', leftArrow: true, useBar: false },
    team_id: '',
    ids: '',
    src: '/image/adimges.jpg',
    src1: '/image/head1.png',
    // 主体高度
    infoHeight: '',
    teamlist: [],
    from: [],
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  //点击驳回
  hui: function () {
    var that = this;
    let id = that.team_id
    var from = that.data.from;
    var team_id =from.team_id;
    var team_name =from.team_name;
    var create_user =from.create_user;
    var create_id =from.create_id;
    var apply_time =from.apply_time;
    var resaon =from.resaon;
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/dismissapply/` + id, //接口地址
      method: 'post',
      data: {
        "id": id,
        "team_id": team_id,
        "team_name": team_name,
        "create_user": create_user,
        "create_id": create_id,
        "apply_time": apply_time,
        "resaon": resaon,
        "status": "-1"
      },
      success(res) {
        if (res.data.errcode == 0) {
          wx.showToast({ title: `修改团队状态拒绝`, icon: 'success', duration: 2000 }) //创建成功提示
          // return wx.redirectTo({ url: '/pages/manage/index' })// 跳转页面
        } else {
          wx.showToast({
            title: res.data.errmsg,
            icon: 'none',
            duration: 2000
          })
        }
      }
    })
  },
  //点击通过
  out: function () {
    var that = this;
    let id = that.team_id
    var from = that.data.from;
    var team_id =from.team_id;
    var team_name =from.team_name;
    var create_user =from.create_user;
    var create_id =from.create_id;
    var apply_time =from.apply_time;
    var resaon =from.resaon;
    wx.showModal({
      title: '',
      content: '是否确认解散团队',
      success(res) {
        if (res.confirm) {
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/dismissapply/` + id, //接口地址
            method: 'post',
            data: {
              "id": id,
              "team_id": team_id,
              "team_name": team_name,
              "create_user": create_user,
              "create_id": create_id,
              "apply_time": apply_time,
              "resaon": resaon,
              "status": "1"
            },
            success(res) {
              if (res.data.errcode == 0) {
                wx.showToast({ title: `修改团队状态成功`, icon: 'success', duration: 2000 }) //创建成功提示
                // return wx.redirectTo({ url: '/pages/manage/index' })// 跳转页面
              } else {
                wx.showToast({
                  title: res.data.errmsg,
                  icon: 'none',
                  duration: 2000
                })
              }
            }
          })
        } else if (res.cancel) {
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var myObject = JSON.parse(decodeURIComponent(options.obj));
    this.ids = myObject.name;
    this.team_id = myObject.id;
    // 计算高度
    this.searchHeight()
    // 监听用户是否登录
    this.watchLogin();
  },
   //验证用户是否登录
   watchLogin: function () {
    var that = this;
    let id = that.ids;
    let ids = that.team_id;
    wx.getStorage({
      key: 'token',
      success: res => {
        //查询数据
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/team/` + id, //接口地址
          method: 'get',
          data: '',
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              that.setData({
                teamlist: datas,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
        //解散团队数据
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/dismissapply/` + ids, //接口地址
          method: 'get',
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              that.setData({
                from: datas,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
   // 计算高度
   searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})